class AcceptReceiveTransactionModel {
  int id;
  String cmpTranpin;
  bool isAccepted;
  String cmpCustcode;
  String cmpRefcode;
  String porOrgacode;

  AcceptReceiveTransactionModel({
    required this.id,
    required this.cmpTranpin,
    required this.isAccepted,
    required this.cmpCustcode,
    required this.cmpRefcode,
    required this.porOrgacode,
  });

  /// Convert object to a Map
  Map<String, dynamic> toMap() {
    return {
      'id': id,
      'cmpTranpin': cmpTranpin,
      'isAccepted': isAccepted,
      'cmpCustcode': cmpCustcode,
      'cmpRefcode': cmpRefcode,
      'porOrgacode': porOrgacode,
    };
  }

  /// Create object from a Map
  factory AcceptReceiveTransactionModel.fromMap(Map<String, dynamic> map) {
    return AcceptReceiveTransactionModel(
      id: map['id'],
      cmpTranpin: map['cmpTranpin'],
      isAccepted: map['isAccepted'],
      cmpCustcode: map['cmpCustcode'],
      cmpRefcode: map['cmpRefcode'],
      porOrgacode: map['porOrgacode'],
    );
  }

  @override
  String toString() {
    return 'AcceptReceiveTransactionModel{id: $id, cmpTranpin: $cmpTranpin, isAccepted: $isAccepted, cmpCustcode: $cmpCustcode, cmpRefcode: $cmpRefcode, porOrgacode: $porOrgacode}';
  }
}
